# Grub-Update Hook
This hook runs grub-update when you update your system, preventing you from needing to remember to do this manually so as to avoid finding GRUB borked on reboot. Check the command in `/etc/pacman.d/hooks.bin/` to ensure that it is compatible with your system. If you're running a normal (non-ARM) desktop or laptop, it'll probably work fine.

## Installation
1. Clone the repo and cd into the repo directory.
`git clone https://upchur.ch/gitea/n_u/Grub-Update-Hook.git && cd Grub-Update-Hook`
2. Create the requisite hook directories on your system if you don't have them already.
`sudo mkdir /etc/pacman.d/hooks.bin/ /etc/pacman.d/hooks/`
3. Copy the files into the appropriate locations.
`sudo cp grubupdatefix /etc/pacman.d/hooks.bin/ && cp grubupdatefix.hook /etc/pacman.d/hooks/`
4. Make the script executable.
`sudo chmod +x /etc/pacman.d/hooks.bin/grubupdatefix`

## More info
For more information on pacman hooks, see [the thread on the Manjaro forum](https://forum.manjaro.org/t/howto-create-useful-pacman-hooks/55020/3), or [the Arch Wiki](https://wiki.archlinux.org/title/Pacman#Hooks).